Subject: Re: iwl rfkill suddenly dropped to hard block

From: Larry Finger <[email-masked]>
Date: Wed, 15 Dec 2010 22:23:32 -0600

On 12/15/2010 09:22 PM, Evgeniy Polyakov wrote:
> On Wed, Dec 15, 2010 at 03:11:27PM -0500, John W. Linville ([email-masked]) wrote:
>> Cc'ing linux-wireless and Wey-Yi...
>>
>> To be honest, nearly every report of "suddenly my rfkill is stuck
>> on" is because the laptop has multiple rfkill keys, usually with
>> one of them a slider along the edge of the case.  In particular,
>> Thinkpads have such switches.  The slider gets accidently engaged
>> (possibly while the laptop is being transported or somesuch) and
>> suddenly wireless stops working.
>>
>> Please check for the above.  If you are sure that isn't the case, then
>> please try to determine the last working kernel and do a bisection --
>> hopefully you don't have to go all the way back to 2.6.33!
>
> I'm pretty sure it would be that simple if there was such a slider.
>
> There is no way I can bisect this problem since, first, i915 does not
> work anywhere after 2.6.34 upto current git tree, and second, because
> wifi perfectly well worked two days ago with this kernel, and now there
> are no good and bad kernels, only bad ones.
>
> Turning on dell_wmi brings 2 more rfkill classes, which are both
> hard and soft blocked. Both can not be unblocked (even soft unblock),
> although reported case can be soft unblocked (hard block status
> obviously does not change). Actually by default it is soft unblocked,
> other two (another wifi switch and bluetooth) are both hard and soft
> blocked.
>
> I would imagine this is just related to some dellish crap, but I saw a
> number of exactly the same cases in the web including linux-kernel mail
> lists in the past and also without 'slider on the back' case.

I doubt that it is Dell related, if that is what "dellish" means.

I have had some success in clearing this problem by unloading and reloading the 
wireless driver. I had the problem on one box that has no rfkill switch and an 
802.11b card that uses b43legacy.

Larry